Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.auth.callback
Class TextOutputCallback

    java.lang.Object
      javax.security.auth.callback.TextOutputCallback

All Implemented Interfaces:
  java.io.Serializable, Callback

    public class TextOutputCallback

extends java.lang.Object
implements Callback, java.io.Serializable

Underlying security services instantiate and pass a `TextOutputCallback` to the `handle` method of a `CallbackHandler` to display information messages, warning messages and error messages.

Version:
  1.15, 12/19/03
See Also:
  `CallbackHandler`, Serialized Form

Field Summary
`static int` | `ERROR` Error message.
`static int` | `INFORMATION` Information message.
`static int` | `WARNING` Warning message.

Constructor Summary
`TextOutputCallback(int messageType, java.lang.String message)` Construct a TextOutputCallback with a message type and message to be displayed.

Method Summary
`java.lang.String` | `getMessage()` Get the message to be displayed.
`int` | `getMessageType()` Get the message type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INFORMATION

    public static final int INFORMATION

  Information message.

  See Also:
    Constant Field Values

### WARNING

    public static final int WARNING

  Warning message.

  See Also:
    Constant Field Values

### ERROR

    public static final int ERROR

  Error message.

  See Also:
    Constant Field Values

Constructor Detail

### TextOutputCallback

    public TextOutputCallback(int messageType,
                              java.lang.String message)

  Construct a TextOutputCallback with a message type and message to be displayed.

  Parameters:
    `messageType` - the message type (`INFORMATION`, `WARNING` or `ERROR`).

    `message` - the message to be displayed.

  Throws:
    `java.lang.IllegalArgumentException` - if `messageType` is not either `INFORMATION`, `WARNING` or `ERROR`, if `message` is null, or if `message` has a length of 0.

Method Detail

### getMessageType

    public int getMessageType()

  Get the message type.

  Returns:
    the message type (`INFORMATION`, `WARNING` or `ERROR`).

### getMessage

    public java.lang.String getMessage()

  Get the message to be displayed.

  Returns:
    the message to be displayed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD